/*

http://www.midnightcheese.com/
cale@midnightcheese.com

*/

// Global variables for the info and done buttons; keeping these around lets us modify them later
var glassDoneButton;
var whiteInfoButton;

var last_updated = 0;
//var selectedLink = "";

// setup() is the onload handler for the widget. It calls constructors for the AppleInfoButton
// and AppleGlassButton classes that populate existing divs with their respective controls

function setup()
{
	glassDoneButton = new AppleGlassButton(document.getElementById("doneButton"), "Done", hidePrefs);
	whiteInfoButton = new AppleInfoButton(document.getElementById("infoButton"), document.getElementById("front"), "black", "black", showPrefs);
	document.myForm.newLocation.selectedIndex=0;
	$("image").innerHTML = "<img src='http://www.cctv.tdot.state.tn.us/live/axis14/cam3_14_00001.jpg' width='320' height='240' border='0' />";
}

// showPrefs() is called when the preferences flipper is clicked upon.  It freezes the front of the widget,
// hides the front div, unhides the back div, and then flips the widget over.

function showPrefs()
{
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	
	if (window.widget)
		widget.prepareForTransition("ToBack");		// freezes the widget so that you can change it without the user noticing
	
	front.style.display="none";		// hide the front
	back.style.display="block";		// show the back
	
	if (window.widget)
		setTimeout ('widget.performTransition();', 0);		// and flip the widget over	
}

// hidePrefs() is called by the done button on the back side of the widget.  It performs the opposite transition
// as showPrefs() does.

function hidePrefs()
{
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	
	if (window.widget)
		widget.prepareForTransition("ToFront");		// freezes the widget and prepares it for the flip back to the front
	
	back.style.display="none";			// hide the back
	front.style.display="block";		// show the front
	
	if (window.widget)
		setTimeout ('widget.performTransition();', 0);		// and flip the widget back to the front
}

function $(element){return document.getElementById(element)}

function show() {

	var now = (new Date).getTime();
		
	if ((now - last_updated) > 600)
	{
		
			$("image").innerHTML = "<iframe src='" + newPage + "?time=" + escape(new Date()) + "' width='320' height='240' scrolling='no'></iframe>";
		
		}
	
		last_updated = (new Date).getTime();
	
	
	
}

function hide() {
	
		$("image").innerHTML = "";

}

if (window.widget)
{
	widget.onshow = show;
	widget.onhide = hide;
}

function jumpPage(newLoc) {
	newPage = newLoc.options[newLoc.selectedIndex].value;
//	selectedLink = newPage;
	index = document.myForm.newLocation.selectedIndex;
		
			$("image").innerHTML = "<iframe src='" + newPage + "?time=" + escape(new Date()) + "' width='320' height='240' scrolling='no'></iframe>";
		
}	
	

